# PaymentProduct class

Represents a BasicPaymentProduct and its PaymentProductFields.

Inheritance
  - Object
  - BasicPaymentProduct
  - PaymentProduct
Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

PaymentProduct(String id, String paymentMethod, String? paymentProductGroup, bool allowsRecurring, bool allowsTokenization, bool usesRedirectionTo3rdParty, {List<PaymentProductDisplayHints> displayHintsList = const [], List<AccountOnFile> accountsOnFile = const [], PaymentProduct302SpecificData? paymentProduct302SpecificData, PaymentProduct320SpecificData? paymentProduct320SpecificData, List<PaymentProductField> fields = const []})
PaymentProduct.fromJson(Map<String, dynamic> json)
  factory

## Properties

accountsOnFile → List<AccountOnFile>
  final inherited
allowsRecurring → bool
  final inherited
allowsTokenization → bool
  final inherited
displayHintsList → List<PaymentProductDisplayHints>
  final inherited
fields ↔ List<PaymentProductField>
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
id → String
  final inherited
paymentMethod → String
  final inherited
paymentProduct302SpecificData → PaymentProduct302SpecificData?
  final inherited
paymentProduct320SpecificData → PaymentProduct320SpecificData?
  final inherited
paymentProductGroup → String?
  final inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
usesRedirectionTo3rdParty → bool
  final inherited

## Methods

getPaymentProductFieldById(String paymentProductFieldId) → PaymentProductField?
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited